/* structures for each line of the descriptive text of the AIM datastructure */
typedef struct InfoLine InfoLineType ;
typedef InfoLineType *InfoLinePtr ;

struct InfoLine
	{
	char *infotext ;
	InfoLinePtr nextline ;
	}   ;

/* structures for the complete AIM information */
typedef struct AIMoutput AIMoutputtype ;
typedef int *frametype ;
typedef frametype *channeltype ;

	
struct AIMoutput 
	{
	/* up-to-date versions:  they may need */
	int channels, linelength, samplerate ; 
	                          /* to be used when rewriting structure */
	InfoLinePtr infolocation ; /* location of descriptive strings */
	channeltype   datalocation ; /* location of data samples */
	}  ;

