/* odds header file */
#import "AIMtypes.h"


/* useful functions in odds.c */

int findmaxmod(frametype frame, int framelength) ;
float floatfindmaxmod(float *frame, int framelength) ;
void calcpoweights(int sampleperiod, float product, float *weights, int max)  ;
void calcpoweights2(int nweights, float *weights) ;
void convolve(float *weights, int wtlength, frametype frame, int flength, 
         float maxconv) ;
void intconvolve(int *weights, int wtlength, frametype frame, int flength,
   float maxconv) ;
float calcintercept(float ratio, float decay) ;
float calcinterceptg(float ratio, float decay) ;
void calconsweights(float k, float r, float *weights, int max, float sampint) ;
void calconsweightsg(float k, float r, float *weights, int max, float sampint);
void calconsweightDG(float sigma, float *weights, int max, float sampint) ;
void intnorm( float k, float r,int nwts,  float *fwts, int *iwts, int maxwt);
float mvioc( float k, float r, int srate);
float mviocg( float k, float r, int srate);
float mviocDG( float sigma);
int bucketthreshold(int *bucket, float threshold, int bucketsize) ;
int findmax(int *segment, int length);
void peakfind(int *orig, int *peak, int length) ;
int resample(int insrate, /* input sample rate */
	int *indata, /* input data string */
	int inlength, /* input data length */
	int outsrate, /* output sample rate */
	int *outdata) /* output data string */ ;
float ERB(float f) ;
float MFB(float cf, float bwmin, float quality);
